Package org.drinkless.tdlib

# Class TdApi.UpdateAutosaveSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateAutosaveSettings

Enclosing class:
  TdApi

public static class TdApi.UpdateAutosaveSettings extends TdApi.Update
Autosave settings for some type of chats were updated.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AutosaveSettingsScope`
  `scope`
  Type of chats for which autosave settings were updated.
  `TdApi.ScopeAutosaveSettings`
  `settings`
  The new autosave settings; may be null if the settings are reset to default.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateAutosaveSettings()`
  Autosave settings for some type of chats were updated.
  `UpdateAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
  Autosave settings for some type of chats were updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### scope

    public TdApi.AutosaveSettingsScope scope
    Type of chats for which autosave settings were updated.

  - ### settings

    @Nullable public TdApi.ScopeAutosaveSettings settings
    The new autosave settings; may be null if the settings are reset to default.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateAutosaveSettings

    public UpdateAutosaveSettings()
    Autosave settings for some type of chats were updated.

  - ### UpdateAutosaveSettings

    public UpdateAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)
    Autosave settings for some type of chats were updated.
    Parameters:
      `scope` - Type of chats for which autosave settings were updated.
      `settings` - The new autosave settings; may be null if the settings are reset to default.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR